| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::uiCheckShotEdit::DriftCurve Class Reference
uiWellAttrib

`#include <uiwelltiecheckshotedit.h>`

Inheritance diagram for WellTie::uiCheckShotEdit::DriftCurve:
[legend]

## Public Member Functions
| DriftCurve ()
| ~DriftCurve ()
void | add (float dh, float val)
int | indexOfCurrentPoint (float dah, float val) const
bool | insertAtDah (float dh, float v) override
float | value (int idx) const override
Public Member Functions inherited from Well::DahObj
virtual | ~DahObj ()
void | addToDahFrom (int fromidx, float extradah)
float | dah (int idx) const
float * | dahArr ()
const float * | dahArr () const
Interval< float > & | dahRange ()
Interval< float > | dahRange () const
| returns Udf for empty dah_
float | dahStep (bool min_else_average) const
void | deInterpolate ()
| Remove unnecessary points.
int | indexOf (float dah) const
bool | isEmpty () const
virtual void | remove (int idx)
void | removeFromDahFrom (int fromidx, float extradah)
virtual void | setEmpty ()
int | size () const
void | updateDahRange ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
void | eraseAux () override
void | removeAux (int idx) override
Protected Member Functions inherited from Well::DahObj
| DahObj (const char *nm=nullptr)
| DahObj (const DahObj &)
DahObj & | operator= (const DahObj &)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
TypeSet< float > | val_
Protected Attributes inherited from Well::DahObj
TypeSet< float > | dah_
Interval< float > | dahrange_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from Well::DahObj
static Notifier< DahObj > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ DriftCurve()

WellTie::uiCheckShotEdit::DriftCurve::DriftCurve | ( |  | ) |

## ◆ ~DriftCurve()

WellTie::uiCheckShotEdit::DriftCurve::~DriftCurve | ( |  | ) |

## Member Function Documentation

## ◆ add()

void WellTie::uiCheckShotEdit::DriftCurve::add | ( | float | dh,
|  | float | val )
| inline

## ◆ eraseAux()

void WellTie::uiCheckShotEdit::DriftCurve::eraseAux | ( |  | ) |
| inline override protected virtual

Implements Well::DahObj.

## ◆ indexOfCurrentPoint()

int WellTie::uiCheckShotEdit::DriftCurve::indexOfCurrentPoint | ( | float | dah,
|  | float | val ) const

## ◆ insertAtDah()

bool WellTie::uiCheckShotEdit::DriftCurve::insertAtDah | ( | float | dh,
|  | float | v )
| override virtual

Implements Well::DahObj.

## ◆ removeAux()

void WellTie::uiCheckShotEdit::DriftCurve::removeAux | ( | int | idx | ) |
| inline override protected virtual

Implements Well::DahObj.

## ◆ value()

float WellTie::uiCheckShotEdit::DriftCurve::value | ( | int | idx | ) | const
| inline override virtual

Implements Well::DahObj.

## Member Data Documentation

## ◆ val_

TypeSet<float> WellTie::uiCheckShotEdit::DriftCurve::val_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025